#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CALDAV_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${CALDAV_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_caldav.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)


##### kcal_caldav (module) ######################

tde_add_kpart( kcal_caldav AUTOMOC
  SOURCES plugin.cpp
  LINK kcal_caldav-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcal_caldav (shared) #########################

tde_add_library( kcal_caldav SHARED AUTOMOC
  SOURCES
    resource.cpp config.cpp configwidgets.cpp preferences.cpp job.cpp
    reader.cpp writer.cpp prefsskel.kcfgc
  VERSION 1.0.0
  LINK tdepim-shared ${CALDAV_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)
